<div class="doc-list-table">

    <ng-container *ngIf="documents; then Table; else Spinner"></ng-container>
    <ng-template #Table>
        <table mat-table [dataSource]="dataSource" class="documents-table">

            <!-- name Column -->
            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef> Назва документа </th>
                <td mat-cell *matCellDef="let element">
                    <a [routerLink]="['/doc', element.id]">{{element.title}}</a>
                </td>
            </ng-container>

            <!-- category Column -->
            <ng-container matColumnDef="category">
                <th mat-header-cell *matHeaderCellDef> Категорія документу </th>
                <td mat-cell *matCellDef="let element"> {{element.catTitle}} </td>
            </ng-container>

            <!-- actions Column -->
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef> Вартість </th>
                <td mat-cell *matCellDef="let element"> {{element.price}} грн. </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </ng-template>
    <ng-template #Spinner>
        <div  align="center">
            <mat-progress-spinner mode="indeterminate" color="primary"></mat-progress-spinner>
        </div>
    </ng-template>

</div>
